<template>
  <div>
      <h1>Ejemplo</h1>
          <input type="text" placeholder="Nombre" v-model="nombre" />
          <br>
          <input type="text" placeholder="Apellido" v-model="apellido" />
          <br>
          <input type="email" placeholder="Email" v-model="email" />
          <br>
          <button @click="registrar">Registrar</button>
          <br>
      <br>
      <hr>
      <!------Tabla-------->
      <table>
          <tr>
              <th>Nombre</th>
              <th>Apellido</th>
              <th>Email</th>
          </tr>
          <tr v-for="item in personas" :key="item.email">
              <td>{{item.nombre}}</td>
              <td>{{item.apellido}}</td>
              <td>{{item.email}}</td>
          </tr>
      </table>
  </div>
</template>

<script>
export default {
    data: ()=>{
        return{
            nombre: '',
            apellido: '',
            email: '',
            personas: []
        }
    },
    methods: {
        registrar(){
            let obj = {
                nombre: this.nombre,
                apellido: this.apellido,
                email: this.email
            }
            this.personas.push(obj);
            this.limpiar();
        },
        limpiar(){
            this.nombre = null;
            this.apellido = null;
            this.email = null;
        }
    }
}
</script>

<style>

</style>